# Generated by Django 4.1.1 on 2022-10-13 13:47

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=255, unique=True, verbose_name='Название')),
                ('description', models.TextField(blank=True, help_text='подсказка, если применимо', verbose_name='Описание')),
                ('priority', models.IntegerField(db_index=True, default=1, verbose_name='Приоритет сортировки')),
                ('done', models.DateTimeField(blank=True, null=True, verbose_name='Выполнено')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Создан')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Обновлен')),
                ('tags', models.ManyToManyField(blank=True, related_name='items', to='core.tag', verbose_name='Метки')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items', to=settings.AUTH_USER_MODEL, verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'Дело',
                'verbose_name_plural': 'Список дел',
                'ordering': ('priority', 'created'),
            },
        ),
    ]
